Skip to content

Leave team

POST
/api/v1/team/members/leave
curl --request POST \
--url https://api.deploybase.eu/api/v1/api/v1/team/members/leave \
--header 'Authorization: <Authorization>'

Allows the current user to leave the team. The sole owner cannot leave, and nobody can leave their home team (the team their account belongs to): CANNOT_LEAVE_HOME_TEAM.

No Content

Media type application/json

Unauthorized

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Not Found

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

CONFLICT (sole owner) or CANNOT_LEAVE_HOME_TEAM

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string

Example generated

{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Live a8b7eb1d built